com.amazonaws.services.codebuild.model

## Class ProjectSource

- java.lang.Object
- - com.amazonaws.services.codebuild.model.ProjectSource

All Implemented Interfaces:
  Serializable, Cloneable

    public class ProjectSource
    extends Object
    implements Serializable, Cloneable

Information about the build project's build input source code.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProjectSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProjectSource` `clone()`
`boolean` `equals(Object obj)`
`SourceAuth` `getAuth()` Information about the authorization settings for AWS CodeBuild to access the source code to be built.
`String` `getBuildspec()` The build spec declaration to use for this build project's related builds.
`String` `getLocation()` Information about the location of the source code to be built.
`String` `getType()` The type of repository that contains the source code to be built.
`int` `hashCode()`
`void` `setAuth(SourceAuth auth)` Information about the authorization settings for AWS CodeBuild to access the source code to be built.
`void` `setBuildspec(String buildspec)` The build spec declaration to use for this build project's related builds.
`void` `setLocation(String location)` Information about the location of the source code to be built.
`void` `setType(SourceType type)` The type of repository that contains the source code to be built.
`void` `setType(String type)` The type of repository that contains the source code to be built.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ProjectSource` `withAuth(SourceAuth auth)` Information about the authorization settings for AWS CodeBuild to access the source code to be built.
`ProjectSource` `withBuildspec(String buildspec)` The build spec declaration to use for this build project's related builds.
`ProjectSource` `withLocation(String location)` Information about the location of the source code to be built.
`ProjectSource` `withType(SourceType type)` The type of repository that contains the source code to be built.
`ProjectSource` `withType(String type)` The type of repository that contains the source code to be built.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProjectSource

    public ProjectSource()

### Method Detail

#### setType

    public void setType(String type)

The type of repository that contains the source code to be built. Valid values include:

- `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

- `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

- `GITHUB`: The source code is in a GitHub repository.

- `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Parameters:
  `type` - The type of repository that contains the source code to be built. Valid values include:

  - `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

  - `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

  - `GITHUB`: The source code is in a GitHub repository.

  - `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

See Also:
  `SourceType`

#### getType

    public String getType()

The type of repository that contains the source code to be built. Valid values include:

- `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

- `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

- `GITHUB`: The source code is in a GitHub repository.

- `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Returns:
  The type of repository that contains the source code to be built. Valid values include:

  - `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

  - `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

  - `GITHUB`: The source code is in a GitHub repository.

  - `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

See Also:
  `SourceType`

#### withType

    public ProjectSource withType(String type)

The type of repository that contains the source code to be built. Valid values include:

- `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

- `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

- `GITHUB`: The source code is in a GitHub repository.

- `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Parameters:
  `type` - The type of repository that contains the source code to be built. Valid values include:

  - `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

  - `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

  - `GITHUB`: The source code is in a GitHub repository.

  - `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SourceType`

#### setType

    public void setType(SourceType type)

The type of repository that contains the source code to be built. Valid values include:

- `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

- `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

- `GITHUB`: The source code is in a GitHub repository.

- `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Parameters:
  `type` - The type of repository that contains the source code to be built. Valid values include:

  - `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

  - `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

  - `GITHUB`: The source code is in a GitHub repository.

  - `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

See Also:
  `SourceType`

#### withType

    public ProjectSource withType(SourceType type)

The type of repository that contains the source code to be built. Valid values include:

- `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

- `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

- `GITHUB`: The source code is in a GitHub repository.

- `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Parameters:
  `type` - The type of repository that contains the source code to be built. Valid values include:

  - `CODECOMMIT`: The source code is in an AWS CodeCommit repository.

  - `CODEPIPELINE`: The source code settings are specified in the source action of a pipeline in AWS CodePipeline.

  - `GITHUB`: The source code is in a GitHub repository.

  - `S3`: The source code is in an Amazon Simple Storage Service (Amazon S3) input bucket.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SourceType`

#### setLocation

    public void setLocation(String location)

Information about the location of the source code to be built. Valid values include:

- For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

- For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

- For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

- For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

Parameters:
  `location` - Information about the location of the source code to be built. Valid values include:

  - For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

  - For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

  - For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

  - For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

#### getLocation

    public String getLocation()

Information about the location of the source code to be built. Valid values include:

- For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

- For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

- For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

- For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

Returns:
  Information about the location of the source code to be built. Valid values include:

  - For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

  - For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

  - For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

  - For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

#### withLocation

    public ProjectSource withLocation(String location)

Information about the location of the source code to be built. Valid values include:

- For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

- For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

- For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

- For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

Parameters:
  `location` - Information about the location of the source code to be built. Valid values include:

  - For source code settings that are specified in the source action of a pipeline in AWS CodePipeline, `location` should not be specified. If it is specified, AWS CodePipeline will ignore it. This is because AWS CodePipeline uses the settings in a pipeline's source action instead of this value.

  - For source code in an AWS CodeCommit repository, the HTTPS clone URL to the repository that contains the source code and the build spec (for example, `https://git-codecommit.region-ID.amazonaws.com/v1/repos/repo-name` ).

  - For source code in an Amazon Simple Storage Service (Amazon S3) input bucket, the path to the ZIP file that contains the source code (for example, `bucket-name/path/to/object-name.zip`)

  - For source code in a GitHub repository, the HTTPS clone URL, including the user name and personal access token, to the repository that contains the source code and the build spec (for example, `https://login-user-name:personal-access-token@github.com/repo-owner-name/repo-name.git` ). For more information, see Creating an Access Token for Command-Line Use on the GitHub Help website.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBuildspec

    public void setBuildspec(String buildspec)

The build spec declaration to use for this build project's related builds.

If this value is not specified, a build spec must be included along with the source code to be built.

Parameters:
  `buildspec` - The build spec declaration to use for this build project's related builds.

  If this value is not specified, a build spec must be included along with the source code to be built.

#### getBuildspec

    public String getBuildspec()

The build spec declaration to use for this build project's related builds.

If this value is not specified, a build spec must be included along with the source code to be built.

Returns:
  The build spec declaration to use for this build project's related builds.

  If this value is not specified, a build spec must be included along with the source code to be built.

#### withBuildspec

    public ProjectSource withBuildspec(String buildspec)

The build spec declaration to use for this build project's related builds.

If this value is not specified, a build spec must be included along with the source code to be built.

Parameters:
  `buildspec` - The build spec declaration to use for this build project's related builds.

  If this value is not specified, a build spec must be included along with the source code to be built.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAuth

    public void setAuth(SourceAuth auth)

Information about the authorization settings for AWS CodeBuild to access the source code to be built.

This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

Parameters:
  `auth` - Information about the authorization settings for AWS CodeBuild to access the source code to be built.

  This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

#### getAuth

    public SourceAuth getAuth()

Information about the authorization settings for AWS CodeBuild to access the source code to be built.

This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

Returns:
  Information about the authorization settings for AWS CodeBuild to access the source code to be built.

  This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

#### withAuth

    public ProjectSource withAuth(SourceAuth auth)

Information about the authorization settings for AWS CodeBuild to access the source code to be built.

This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

Parameters:
  `auth` - Information about the authorization settings for AWS CodeBuild to access the source code to be built.

  This information is only for the AWS CodeBuild console's use. Your code should not get or set this information directly.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ProjectSource clone()

Overrides:
  `clone` in class `Object`